# Generated by Django 4.2 on 2023-04-26 18:09

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ("pantry", "0002_pantryitem_in_pantry"),
        ("recipes", "0002_delete_recipe"),
    ]

    operations = [
        migrations.CreateModel(
            name="Recipe",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=150)),
                ("description", models.TextField()),
                ("ingredients", models.ManyToManyField(to="pantry.pantryitem")),
                (
                    "main_ingredient",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="main",
                        to="pantry.pantryitem",
                    ),
                ),
            ],
        ),
    ]
